%% Analysis of LPV systems
% A primer on analysis in the LPV framework.


%% LPV Analysis Commands
% 
% <html>
% <table border=1>
% <tr>
% <td><a href="..\..\FunctionReferences\LPVNORM\html\LPVNORMdoc.html">LPVNORM</a> </td>
% <td>Compute the gain of a LPV system.</td>
% </tr>
% <tr>
% <td><a href="..\..\FunctionReferences\LPVWCGAIN\html\LPVWCGAINdoc.html">LPVWCGAIN</a></td>
% <td>Compute the worst-case gain of an uncertain LPV system.</td>
% </tr>
% </table>
% </p>
% </html>


%% Examples and How To
%
% * <..\..\HowTo\BASISexample\html\BASISexample.html Tutorial: Creating basis functions>
% * <..\..\GettingStarted\MiniTutorials\Grid_Analysis\html\Grid_Analysis.html Tutorial: Analysis and simulation of gridded LPV systems>
% * <..\..\GettingStarted\MiniTutorials\LFT_Tutorial\html\LFT_Tutorial.html Tutorial: Modeling and Control of LFT LPV Systems>
% * <..\..\HowTo\WCGAIN\html\WCGAIN.html Tutorial: Worst-case LPV analysis using |lpvwcgain|>
% * <..\..\Demos\SpinningDisk_Stochastic\html\SpinningDisk_Stochastic.html Example: Stochastic LPV control of spinning mass>
% * <..\..\Demos\SpinningDisk_L2_LFT\html\SpinningDisk_L2_LFT.html Example: LPV control of spinning mass using LFT framework>



%% Concepts
%
% * <..\..\Concepts\PermissibleTrajectories\html\PermissibleTrajectories.html Permissible
% Parameter Trajectories>
% * <..\..\Concepts\StabilityAndInducedGain\html\StabilityAndInducedGain.html Stability and Induced Gain>
% * <matlab:open(fullfile(docroot,'robust/uncertain-models.html')) Uncertain
% Models>
% * <..\..\Concepts\IQCs\html\IQCs.html Integral Quadratic Constraints>

 
 